# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=lz4
pkgver=1.10.0
pkgrel=2
pkgdesc="Extremely fast compression algorithm"
arch=('x86_64')
url="https://lz4.github.io/lz4"
license=('GPL2')
depends=('glibc')
makedepends=('meson' 'ninja')
source=(https://github.com/lz4/lz4/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(537512904744b35e232912055ccf8ec66d768639ff3abe5788d90d792ec5f48b)

build() {
    cd ${pkgname}-${pkgver}/build/meson

	future-meson build      \
        --prefix=/usr       \
        --libdir=/usr/lib64 \
        --buildtype=plain   \
        -Dcontrib=true      \
        -Dexamples=true     \
        -Dprograms=true

	meson compile -C build

}

package() {
    cd ${pkgname}-${pkgver}/build/meson

	meson install -C build --destdir ${pkgdir}
}
